org.apache.myfaces.trinidad.bean.util

## Class PropertyArrayMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - org.apache.myfaces.trinidad.util.ArrayMap<PropertyKey,Object>
    - - org.apache.myfaces.trinidad.bean.util.PropertyArrayMap

- All Implemented Interfaces:
    Cloneable, Map<PropertyKey,Object>, PropertyMap

      public class PropertyArrayMap
      extends ArrayMap<PropertyKey,Object>
      implements PropertyMap

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyArrayMap()`
    `PropertyArrayMap(int initialCapacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PropertyMap` | `createDeltaPropertyMap()`
    `Object` | `get(PropertyKey pKey)`
    `boolean` | `getUseStateHolder()`
    `void` | `markInitialState()`
    `Object` | `put(PropertyKey key, Object value)`
    `void` | `putAll(Map<? extends PropertyKey,? extends Object> t)`
    `Object` | `remove(Object key)`
    `void` | `restoreState(javax.faces.context.FacesContext context, FacesBean.Type type, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setUseStateHolder(boolean useStateHolder)`

    - ### Methods inherited from class org.apache.myfaces.trinidad.util.ArrayMap

      `clear, clone, containsKey, containsValue, entrySet, get, get, getByEquality, getByIdentity, getByIdentity, getKey, getKeys, getValue, getValues, keys, put, remove, remove, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, isEmpty, keySet, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, size, values`

- - ### Constructor Detail

    - #### PropertyArrayMap

          public PropertyArrayMap(int initialCapacity)

    - #### PropertyArrayMap

          public PropertyArrayMap()

  - ### Method Detail

    - #### get

          public Object get(PropertyKey pKey)

    - #### put

          public Object put(PropertyKey key,
                   Object value)

      Specified by:
        `put` in interface `Map<PropertyKey,Object>`
      Overrides:
        `put` in class `ArrayMap<PropertyKey,Object>`

    - #### remove

          public Object remove(Object key)

      Specified by:
        `remove` in interface `Map<PropertyKey,Object>`
      Overrides:
        `remove` in class `ArrayMap<PropertyKey,Object>`

    - #### putAll

          public void putAll(Map<? extends PropertyKey,? extends Object> t)

      Specified by:
        `putAll` in interface `Map<PropertyKey,Object>`
      Overrides:
        `putAll` in class `AbstractMap<PropertyKey,Object>`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `PropertyMap`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          FacesBean.Type type,
                          Object state)

      Specified by:
        `restoreState` in interface `PropertyMap`

    - #### createDeltaPropertyMap

          protected PropertyMap createDeltaPropertyMap()

    - #### getUseStateHolder

          public boolean getUseStateHolder()

    - #### setUseStateHolder

          public void setUseStateHolder(boolean useStateHolder)

    - #### markInitialState

          public void markInitialState()

      Specified by:
        `markInitialState` in interface `PropertyMap`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.